#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# @Author: José Sánchez-Gallego (gallegoj@uw.edu)
# @Date: 2023-03-13
# @Filename: __init__.py
# @License: BSD 3-clause (http://www.opensource.org/licenses/BSD-3-Clause)

from clu.command import Command
from clu.parsers.click import command_parser as lvmguider_parser

from .actor import LVMGuiderActor


GuiderCommand = Command["LVMGuiderActor"]

from .commands.corrections import corrections
from .commands.expose import expose
from .commands.focus import focus
from .commands.guide import guide
from .commands.set_pixel import set_pixel
from .commands.status import status
from .commands.stop import stop
